GET
/pfs/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”List of PFS resources
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
disk_size
integer
created_by
integer
updated_at
string format: date-time
created_at
string format: date-time
status
string
disk_size_in_gb
string
disk_size_in_tb
string
set_up_progress
integer
location
string
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "id": 504, "name": "tir-pfs-260206142723", "disk_size": 1000, "created_by": 1234, "updated_at": "2026-02-06T08:58:48.117806Z", "created_at": "2026-02-06T08:57:33.388926Z", "status": "OK", "disk_size_in_gb": "1000 GB", "disk_size_in_tb": "1.0TB", "set_up_progress": 100, "location": "Delhi" } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}